Loading...
Searching...
No Matches
etl::ipool::ipool_iterator< is_const > Class Template Reference

## Public Types

typedef etl::conditional< is_const, constchar *, char * >::type | value_type
typedef etl::conditional< is_const, constchar *&, char *& >::type | reference
typedef etl::conditional< is_const, constchar **, char ** >::type | pointer
typedef ptrdiff_t | difference_type
typedef ETL_OR_STD::forward_iterator_tag | iterator_category
typedef etl::conditional< is_const, constvoid *, void * >::type | void_type
typedef etl::conditional< is_const, constipool, ipool >::type | pool_type
typedef etl::conditional< is_const, constchar *const *, char ** >::type | pointer_type

## Public Member Functions

| ipool_iterator (const ipool_iterator &other)
ipool_iterator & | operator++ ()
ipool_iterator | operator++ (int)
ipool_iterator & | operator= (const ipool_iterator &other)
void_type | operator* () const
template<typename T>
T & | get () const

## Friends

class | ipool
bool | operator== (const ipool_iterator &lhs, const ipool_iterator &rhs)
bool | operator!= (const ipool_iterator &lhs, const ipool_iterator &rhs)

The documentation for this class was generated from the following file:

- include/etl/ipool.h